Files autofs-4.1.3.orig/man/autofs-4.1.3.tar.bz2 and autofs-4.1.3/man/autofs-4.1.3.tar.bz2 differ
diff -Nur autofs-4.1.3.orig/man/autofs.5 autofs-4.1.3/man/autofs.5
--- autofs-4.1.3.orig/man/autofs.5	2004-05-16 17:36:09.000000000 +0800
+++ autofs-4.1.3/man/autofs.5	2004-05-16 20:16:40.000000000 +0800
@@ -46,10 +46,10 @@
 used to specify a filesystem type if the filesystem is not of the default
 NFS type.  This option is processed by the automounter and not by the mount
 command.
-.I -nonstrict
-used to ignore file systems that can't be mounted. This is important if
+.I -strict
+is used to treat errors when mounting file systems as fatal. This is important when
 multiple file systems should be mounted (`multimounts'). If this option
-is not given, no file system is mounted at all if at least one file system
+is given, no file system is mounted at all if at least one file system
 can't be mounted.
 
 .SS location
diff -Nur autofs-4.1.3.orig/man/automount.8 autofs-4.1.3/man/automount.8
--- autofs-4.1.3.orig/man/automount.8	2004-05-16 17:36:09.000000000 +0800
+++ autofs-4.1.3/man/automount.8	2004-05-16 20:04:50.000000000 +0800
@@ -114,6 +114,12 @@
 .TP
 .I "\-Dvariable=value"
 Replace \fIvariable\fP with \fIvalue\fP in map substitutions.
+.TP
+.I "\-strict"
+Treat errors when mounting file systems as fatal. This is important when
+multiple file systems should be mounted (`multimounts'). If this option
+is given, no file system is mounted at all if at least one file system
+can't be mounted.
 .RE
 .SH NOTES
 If the \fBautomount\fP daemon catches signal USR1, it will unmount all
diff -Nur autofs-4.1.3.orig/modules/parse_sun.c autofs-4.1.3/modules/parse_sun.c
--- autofs-4.1.3.orig/modules/parse_sun.c	2004-05-16 17:36:09.000000000 +0800
+++ autofs-4.1.3/modules/parse_sun.c	2004-05-16 19:08:15.000000000 +0800
@@ -517,7 +517,7 @@
 		     const char *loc, int loclen, const char *options)
 {
 	char *fstype = "nfs";	/* Default filesystem type */
-	int nonstrict = 0;
+	int nonstrict = 1;
 	int rv;
 	char *mountpoint;
 	char *what;
@@ -551,6 +551,8 @@
 				fstype = alloca(typelen + 1);
 				memcpy(fstype, cp + 7, typelen);
 				fstype[typelen] = '\0';
+			} else if (strncmp("strict", cp, 6) == 0) {
+				nonstrict = 0;
 			} else if (strncmp("nonstrict", cp, 9) == 0) {
 				nonstrict = 1;
 			} else {
